Subject: Re: [PATCH] ibmveth change buffer pools dynamically

From: Santiago Leon <[email-masked]>
Date: Fri, 28 Apr 2006 16:53:28 -0500

Santiago Leon wrote:

> This patch provides a sysfs interface to change some properties of the
> ibmveth buffer pools (size of the buffers, number of buffers per pool,
> and whether a pool is active).  Ethernet drivers use ethtool to provide
> this type of functionality.  However, the buffers in the ibmveth driver
> can have an arbitrary size (not only regular, mini, and jumbo which are
> the only sizes that ethtool can change), and also ibmveth can have an
> arbitrary number of buffer pools 
> 
> Under heavy load we have seen dropped packets which obviously kills TCP
> performance.  We have created several fixes that mitigate this issue,
> but we definitely need a way of changing the number of buffers for an
> adapter dynamically.  Also, changing the size of the buffers allows
> users to change the MTU to something big (bigger than a jumbo frame)
> greatly improving performance on partition to partition transfers.
> 
> The patch creates directories pool1...pool4 in the device directory in
> sysfs, each with files: num, size, and active (which default to the
> values in the mainline version).
> 
> Comments and suggestions are welcome...
> 

Jeff, if you don't have any problem with this patch, can you apply it?

Thanks,

-- 
Santiago A. Leon
Power Linux Development
IBM Linux Technology Center